Bug 57151 - Port lang/perl5.8: use.perl fails to modify perldoc
Port lang/perl5.8: use.perl fails to modify perldoc
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Anton Berezin
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-24 10:40 UTC by alexander.haderer
Modified: 2005-02-02 09:52 UTC (History)
0 users

See Also:


Attachments
file.diff (1.63 KB, patch)
2003-09-24 10:40 UTC, alexander.haderer
no flags Details | Diff
use.perl.diff (1.56 KB, patch)
2003-10-06 15:56 UTC, alexander.haderer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description alexander.haderer 2003-09-24 10:40:08 UTC
The utility /usr/loca/bin/use.perl to switch between system's perl and the
perl installed from the ports does not change the perl utilities perlcc,
perlbug, and perldoc. At least for perldoc this leads into trouble when
system's perldoc tries to display the perl5.8 pod docs (probably the
pod format has changed in perl5.8). 

Some of the pod-'Meta' Codes fail to display correctly, especially the 
'perl references' sections are displayed wrong!

Fix: The patch below modifies use.perl in this way, that perlcc, perlbug and perldoc
are changed as well when switching forth and back between system's perl and
port's perl.

------------------------- cut here ---------------------------------------
How-To-Repeat: - install perl 5.8 from the ports
- do 'use.perl port'
- call perlreftut docs:
    'perldoc perlreftut'
    move to 'Use Rule 2', the line below reads:

    ${$aref}[3] is too hard to read, so you can write < $aref-[3] >> instead.

- compare this with:
    '/usr/local/bin/perldoc perlreftut'
    move to 'Use Rule 2', the line below reads:

    "${$aref}[3]" is too hard to read, so you can write "$aref->[3]" instead.
Comment 1 krion freebsd_committer 2003-09-24 10:41:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tobez

Over to maintainer
Comment 2 alexander.haderer 2003-10-06 15:56:01 UTC
Hello,

when submitting the PR I accidently sent the patch for the installed use.perl, here is the patch for /usr/ports/lang/perl5.8.

Sorry for the confusion,

Alexander
Comment 3 sem 2003-12-16 07:47:26 UTC
can you see PR/55760?
-- 
Sem.
Comment 4 Anton Berezin freebsd_committer 2005-02-02 09:51:14 UTC
State Changed
From-To: open->closed

After the recent update of lang/perl5 and lang/perl5.8, if perldoc, a2p, 
and other perl-related binaries are detected in /usr/bin, they are 
replaced with symlinks to the versions installed by perl port, provided 
use.perl port was run.